﻿using UnityEngine;

public class Pointer : Gadget
{
    /// \copydoc Gadget.s_type
    [Newtonsoft.Json.JsonProperty]
    protected static new string s_type = "Pointer";


    protected override void _Hit(RaycastHit[] hit)
    {
        string pid = FactManager.AddPointFact(hit[0], gadget: this).Id;

        for (int i = 0; i < hit.Length; i++)
        {
            if (!Mathf.Approximately(hit[0].distance, hit[i].distance))
                break;

            if (hit[i].transform.gameObject.layer == LayerMask.NameToLayer("Ray"))
            {
                Workflow.Add(hit[i].transform.GetComponent<FactObject>().URI);
                FactManager.AddOnLineFact
                    (pid
                    , Workflow[i]
                    , samestep: true
                    , gadget: this
                    , is_certain: false);
            }
        }

        ResetGadget();
    }
}
